Skip to content

Delete a Materialization Plan

API Description

Use this API to delete a specified materialization plan, including external, acceleration, and result materialization plans.

API URL

GET /anymetrics/api/v1/accelerate/plan/delete

Request parameters

Common Request Headers

parameter Type required Description
tenant-id String Yes Tenant ID, used to identify the tenant for metric query content.
auth-type String Yes Authentication method. Supports UID, TOKEN, ACCOUNT, and APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

How to Obtain Common parameters

View this in the top navigation of Aloudata CAN under Metric Applications > API Integration.

image.png

Request parameters

Field Type required Description
uuid String ✔ Yes Materialization plan unique ID to delete

Request Example

GET /anymetrics/api/v1/accelerate/plan/delete?uuid=ecfc2a9539a04ef49897a9b4e3d65e7f

Response parameter Description

Field Type Description
data String Fixed value "success"
success Boolean Whether deletion succeeded
code String Status code
errorMsg String Error message
detailErrorMsg String Detailed error message

Response Example

{
  "data": "success",
  "success": true,
  "code": "200",
  "errorMsg": null
}